## swt-gtk 3.8.0~rc2

=== debian/changelog ===
swt-gtk (3.8.0~rc2-3) unstable; urgency=low

  * Upload to unstable.
  * Compile java code with source/target 1.5 to ensure java
    classes are compatible with Java 1.5+.  Thanks to James
    Page for the report and the patch.
    (Closes: #677025, LP: #1011103)
  * Add breaks on eclipse-rcp to ensure eclipse 3.7 is not
    installed with swt-gtk 3.8.

 -- Niels Thykier <niels@thykier.net>  Wed, 20 Jun 2012 12:38:50 +0200

swt-gtk (3.8.0~rc2-2) experimental; urgency=low

  * Prefer tight dependencies between the -JNI libraries
    to breaks.
  * Add breaks on the -JNI libraries built from 3.8.0~rc2-1
    to ensure the tight dependency is used.
  * Bump source format to 3.0 (quilt).

 -- Niels Thykier <niels@thykier.net>  Mon, 18 Jun 2012 12:42:27 +0200

swt-gtk (3.8.0~rc2-1) experimental; urgency=low

  [ Niels Thykier ]
  * Use breaks to ensure that the SWT JNI libraries are upgraded
    together with the Java package.
  * Add conflicts with older versions of SWT and its JNI libraries.
    This avoid this issue new and old versions of SWT and its JNI
    libraries being used (and crashing).  (Closes: #670756,
    LP: #1000272)
  * Remove alternatives for /usr/share/java/swt.jar.

  [ Jakub Adam ]
  * New upstream release.
  * Updated arch64.diff patch for new upstream release.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 29 May 2012 17:02:51 +0200

swt-gtk (3.8.0~m7-2) experimental; urgency=low

  * Fix build on 64-bit platforms.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 10 May 2012 13:13:13 +0200

swt-gtk (3.8.0~m7-1) experimental; urgency=low

  [ Jakub Adam ]
  * New upstream release.
  * Updated arch64.diff patch for new upstream release.
  * Updated 01-as-needed.diff patch for new upstream release.

  [ Niels Thykier ]
  * Merge make_linux.mak patches and pass LDFLAGS + CPPFLAGS
    to the underlying build system.
  * Refactored the d/rules files.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 09 May 2012 17:00:58 +0200

swt-gtk (3.8.0~m6-1) experimental; urgency=low

  * New upstream release.
  * debian/Makefile: Add missing SWTMessages*.properties files to
    swt-gtk-$(RELEASE).jar
  * Updated 01-as-needed.diff patch for new upstream release.
  * Updated arch64.diff patch for new upstream release.
  * Search for JNI libraries in Debian location /usr/lib/jni
    (Closes: #663734 #665195 #668002)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 29 Apr 2012 21:14:20 +0200

swt-gtk (3.7.2-2) unstable; urgency=low

  * debian/control: Change build-dep: libwebkit-dev -> libwebkitgtk-dev
    (Closes: #635428)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 27 Mar 2012 14:55:53 +0200

swt-gtk (3.7.2-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release.
  * Updated arch64.diff patch for new upstream release.
  * debian/java-config/libswt-gtk-3-java, debian/libswt-gtk-3-java.links,
    debian/libswt-gtk-3-java.lintian-overrides, debian/manifest: Bumped
    version.
  * debian/control: Updated Standards-Version to 3.9.3
  * Bumped compat level to 9
  * debian/copyright: Updated copyright years & format URL.

  [ Jakub Adam ]
  * Add OSGi metadata to jar manifest
  * Add Jakub Adam to Uploaders

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 27 Feb 2012 22:42:15 +0200

swt-gtk (3.7.1-1) unstable; urgency=low

  * New upstream release
  * Updated arch64.diff patch for new upstream release.
  * debian/copyright: Updated copyright format & years
  * debian/libswt-gtk-3-java.{postinst,prerm}: Modify the alternatives links
    to /usr/share/java/swt-gtk-<majorversion>.jar instead of
    /usr/lib/java/swt-gtk-<version>.jar
  * debian/java-config/libswt-gtk-3-java, debian/libswt-gtk-3-java.links,
    debian/libswt-gtk-3-java.lintian-overrides: Bumped version
  * Added format-security.diff patch to fix FTBFS with -Werror=format-security
    compiler flag set.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 30 Sep 2011 11:27:58 +0200

swt-gtk (3.7-2) unstable; urgency=low

  * Disable xulrunner support and enable webkit (Closes: #631048)
    + debian/control:
      - Remove xulrunner-dev from Build-Deps
      - Remove libswt-mozilla-gtk-3-jni package
    + debian/Makefile: do not build mozilla/xpcom/xulrunner extensions
    + debian/rules: do not call dh_xulrunner
    + remove debian/libswt-mozilla-gtk-3-jni.install
    (Patch from Ubuntu)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 13 Jul 2011 17:57:26 +0200

swt-gtk (3.7-1) unstable; urgency=low

  * New upstream release.
  * Mass package rename 3.6[.2] => 3 (Use major version only).
  * Updated arch64.diff patch for new upstream release.
  * Removed 02-webkit_linkage and 04-fix-webkit-includes patches as they got
    applied upstream.
  * debian/control: Bumped Standards-Version to 3.9.2, no changes needed.
  * Added 01-as-needed.diff patch to use -Wl,--as-needed when linking
  * Added debian/libswt-gtk-3.7-java.lintian-overrides
  * Added debian/gbp.conf
  * debian/Makefile: Figure out the RELEASE from Debian changelog instead of
    hard-coding it.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 28 Jun 2011 14:57:14 +0200

swt-gtk (3.6.2-1) unstable; urgency=low

  * New upstream release. (Closes: #592338)
  * debian/control, debian/Makefile, debian/libswt-webkit-gtk-3.6-jni.install:
    add WebKit package.
  * Dropped 02-bp-accessible-object.diff, since it is applied upstream.
  * debian/control: Set Maintainer to Debian Java Maintainers, and added
    Adrian and myself to Uploaders.
  * Updated 64/arch64.diff patch (from Ubuntu package)
  * Added common/02-webkit_linkage.patch patch from Ubuntu to fix linkage for
    WebKit (>= 1.3).
  * Added common/04-fix-webkit-includes.patch (based on a patch from Ubuntu),
    to fix a missing include for WebKit (>= 1.3) JNI.
  * debian/control: Put libswt-gtk-3.6-java-gcj in java section
  * Bump to compat level 8.


