## swt-gtk 3.8.0~rc4

=== debian/changelog ===
swt-gtk (3.8.0~rc4-1) unstable; urgency=low

  * New upstream release.
  * Ensure CFLAGS from d/rules are really used.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 29 Jun 2012 10:53:16 +0200

swt-gtk (3.7.2-3) unstable; urgency=low

  [ Jakub Adam ]
  * debian/Makefile: Add missing SWTMessages*.properties files to
    swt-gtk-$(RELEASE).jar

  [ Niels Thykier ]
  * Use breaks to ensure that the SWT JNI libraries are upgraded
    together with the Java package.
  * Add conflicts with older versions of SWT and its JNI libraries.
    This avoid this issue new and old versions of SWT and its JNI
    libraries being used (and crashing).  (Closes: #670756,
    LP: #1000272)
  * Remove alternatives for /usr/share/java/swt.jar.
  * Add myself to uploaders.

 -- Niels Thykier <niels@thykier.net>  Thu, 24 May 2012 09:18:54 +0200
