## swt-gtk 3.8.2

=== debian/changelog ===
swt-gtk (3.8.2-5) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #893420)
  * Standards-Version updated to 4.1.3
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 29 Mar 2018 10:51:46 +0200

swt-gtk (3.8.2-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop libswt-gnome-gtk-3-jni (Closes: #868406)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Feb 2018 21:20:55 -0500

swt-gtk (3.8.2-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * libswt-webkit-gtk-3-jni: Add the missing dependency
    on libwebkitgtk-1.0-0. (Closes: #879170)

 -- Adrian Bunk <bunk@debian.org>  Sun, 29 Oct 2017 08:52:32 +0200

swt-gtk (3.8.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary Build-Depends on libwebkitgtk-dev (Closes: #871964)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 24 Oct 2017 15:18:42 -0400

swt-gtk (3.8.2-4) unstable; urgency=medium

  * Team upload.
  * Removed the GCJ package
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Jun 2017 00:37:42 +0200

swt-gtk (3.8.2-3) unstable; urgency=low

  * Fix FTBFS with glib 2.35 (Closes: #710649).

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 26 Jun 2013 14:49:25 +0200

swt-gtk (3.8.2-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Tue, 14 May 2013 22:07:29 -0700

swt-gtk (3.8.2-1) experimental; urgency=low

  * New upstream release.
  * Add fix for compatibility with libwebkitgtk-1.0-0 1.11.91-1
    (Closes: #704516).
  * Updated arch64.diff patch for new upstream release.
  * Reconsidered package description (Closes: #681417).
  * Bump Standards-Version to 3.9.4.
  * Use xz compression for orig tarball.
  * Override hardening-no-fortify-functions false positives.
  * Removed obsolete d/NEWS.Debian file.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 04 Apr 2013 17:40:20 +0200
