=== debian/control ===
Source: swt-gtk
Section: libs
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Adrian Perez <blackxored@debian.org>,
 أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
 Jakub Adam <jakub.adam@ktknet.cz>,
 Niels Thykier <niels@thykier.net>
Build-Depends:
 cdbs,
 debhelper (>= 10),
 default-jdk,
 dpkg-dev (>= 1.16.1~),
 fastjar,
 javahelper,
 libgl1-mesa-dev | libgl-dev,
 libglib2.0-dev (>= 2.35),
 libglu1-mesa-dev | libglu-dev,
 libgtk2.0-dev,
 libxcb-render-util0-dev,
 libxt-dev,
 libxtst-dev,
 patchutils
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/pkg-java/swt-gtk.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/swt-gtk.git
Homepage: http://www.eclipse.org/swt/

Package: libswt-gtk-3-java
Architecture: any
Section: java
Depends:
 libswt-gtk-3-jni (= ${binary:Version}),
 ${misc:Depends}
Conflicts:
 libswt-cairo-gtk-3.5-jni,
 libswt-gnome-gtk-3.5-jni,
 libswt-gtk-3.4-java,
 libswt-gtk-3.4-jni,
 libswt-gtk-3.5-jni,
 libswt-mozilla-gtk-3.5-jni,
 libswt3.2-gtk-java,
 libswt3.2-gtk-jni
Breaks:
 eclipse-rcp (<< 3.8),
 libswt-cairo-gtk-3-jni (<< 3.8.0~rc2-2~),
 libswt-glx-gtk-3-jni (<< 3.8.0~rc2-2~),
 libswt-gnome-gtk-3-jni (<< 3.8.0~rc2-2~),
 libswt-webkit-gtk-3-jni (<< 3.8.0~rc2-2~)
Description: Standard Widget Toolkit for GTK+ Java library
 The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
 For platforms with existing SWT implementations it provides efficient, portable
 and fast access to native controls and user interface facilities.

Package: libswt-gtk-3-jni
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libswt-gtk-3-java (<< ${binary:Version}),
 libswt-gtk-3-java (>> ${binary:Version})
Description: Standard Widget Toolkit for GTK+ JNI library
 The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
 For platforms with existing SWT implementations it provides efficient, portable
 and fast access to native controls and user interface facilities.
 .
 This package includes the JNI libraries (atk, awt, gtk, pi).

Package: libswt-cairo-gtk-3-jni
Architecture: any
Depends:
 libswt-gtk-3-jni (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Standard Widget Toolkit for GTK+ Cairo JNI library
 The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
 For platforms with existing SWT implementations it provides efficient, portable
 and fast access to native controls and user interface facilities.
 .
 This package includes the Cairo JNI libraries.

Package: libswt-glx-gtk-3-jni
Architecture: any
Depends:
 libswt-gtk-3-jni (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Standard Widget Toolkit for GTK+ GLX JNI library
 The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
 For platforms with existing SWT implementations it provides efficient, portable
 and fast access to native controls and user interface facilities.
 .
 This package includes the GLX JNI libraries.

Package: libswt-webkit-gtk-3-jni
Architecture: any
Depends:
 libswt-gtk-3-jni (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 libwebkitgtk-1.0-0
Breaks:
 libswt-gtk-3-java (<< ${binary:Version}),
 libswt-gtk-3-java (>> ${binary:Version})
Description: Standard Widget Toolkit for GTK+ WebKit JNI library
 The Standard Widget Toolkit (SWT) is a fast and rich Java GUI toolkit.
 For platforms with existing SWT implementations it provides efficient, portable
 and fast access to native controls and user interface facilities.
 .
 This package includes the WebKit JNI libraries.
