=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND=-fPIC
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
export DEB_LDFLAGS  := $(LDFLAGS)

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/javahelper.mk

include /usr/share/javahelper/java-vars.mk

DEB_PATCHDIRS = debian/patches/common
BITS = $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

ifeq (64,$(BITS))
DEB_PATCHDIRS += debian/patches/64
endif

# Must be included after setting DEB_PATCHDIRS
include /usr/share/cdbs/1/rules/simple-patchsys.mk



DEB_DH_MAKESHLIBS_ARGS_ALL := -Xjni

AWT_LIB_DIR := $(JAVA_ARCH)

export AWT_LIB_PATH=/usr/lib/jvm/default-java/jre/lib/$(AWT_LIB_DIR)


makecleanbuildir::patch

DEB_MAKE_MAKEFILE = debian/Makefile
